Target version: CCI-2.2.0   

Story Points:    

Description

The current situation for evaluating CN performance and load is cumbersome, requiring examining logs and using jmx.

The goal of this story is to provide high level metrics that provide an indication of the load / work being performed by four core

functionalities:

1. Synchronization

2. Replication

3. Log Aggregation

4. Indexing

At a minimum, a single value should be retrievable for each. For example, the metric for synchronization might display the total

number of tasks in the synchronization queue.

In each case, the values should be written to a file on disk that can be easily accessed by metrics collections services such as

check_mk and d1_service_status_report

Subtasks:

Task # 7653: report on synchronization service activity Closed

Task # 7654: report on log aggregation activity Closed

Task # 7655: report on replication activity Closed

Task # 7656: report on the current indexing load Closed

Task # 7815: Create Common Metrics Logging Interface for D1 Processing Closed

Associated revisions

Revision 18025 - 2016-05-31 16:59 - Robert Waltz

refs #7652

Enable simple metric reporting for core services.  Added in a log4j appender to write out a log specifically for the

org.dataone.cn.log.MetricLogClientLog4JImpl class

Revision 18025 - 2016-05-31 16:59 - Robert Waltz

refs #7652

Enable simple metric reporting for core services.  Added in a log4j appender to write out a log specifically for the

org.dataone.cn.log.MetricLogClientLog4JImpl class

History

#1 - 2016-02-23 19:30 - Dave Vieglais

- Target version set to CCI-2.2.0
#2 - 2016-05-18 15:55 - Robert Waltz

- % Done changed from 0 to 30

- Status changed from New to In Progress

#3 - 2016-06-10 16:19 - Robert Waltz

- % Done changed from 30 to 50

- Status changed from In Progress to Testing

#4 - 2016-06-14 19:46 - Robert Waltz

- Status changed from Testing to Closed

- % Done changed from 50 to 100
